/* 2024-07-05 */

:root {
  --tone11: #eee;
  --tone10: #aaa;
  --tone01: #777;
  --tone00: #111;
  
  --pink:   #fbd;
  --yellow: #dfb;
  --blue:   #bdf;
  
}

html,
body {
  
  min-height: 100vh;
  
  font-family: "Atkinson Hyperlegible", ui-sans-serif, system-ui, sans-serif;
  font-size: 13pt;
  
  letter-spacing: 2px;
  line-height: 1.7;
  word-spacing: 0.5ch;
  text-align: justify;

}

h1 {
  
  font-size: 19pt;
  font-weight: bold;
  margin: 0 0 12px 0;
  padding: 6px;
  color: var(--pink);
}

h2 {

  font-size: 17pt;
  font-weight: bold;
  margin: 0 0 12px 0;
  padding: 6px;
  color: var(--yellow);

}

h3 {

  font-size: 15pt;
  font-weight: bold;
  margin: 0 0 12px 0;
  padding: 6px;
  color: var(--blue);
}

p {

  margin: 6px 0 6px 0;
  
}

hr {

  width: 90%;
  margin: 2ch 0;

}

a:hover {

  color: var(--yellow);

}

a > img:hover {

  filter: invert(100%);

}

a {

  text-decoration: underline;

}

a#current {

  text-shadow: 0px 0px 5px var(--yellow);

}

i {

  font-size: 10pt;
  text-decoration: italic;

}

dt {

  float: left;
  margin-left: 12px;

}

dd {

  text-indent: 24px;

}

/* ### ids ### */

div#container {

  display: inline-block;
  width: 100%;

}

div#content {

  width: 80ch;
  max-width: 100%;
  margin: auto;
  padding-top: 4ch;

}

div#box {

  margin: 0 2ch 4ch 2ch;
  padding: 4ch;
  border-radius: 3px;

}

/* ### classes ### */

.centered {

  text-align: center;
  margin: auto;

}

.indented {

  text-indent: 2ch;

}

.jpn {

  font-family: "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", Osaka, "メイリオ", Meiryo, "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;
  font-size: 11pt;

}

.tok {

  font-family: 'Fairfax Pona HD', 'sitelen-pona', 'linja pona', sans-serif;

}

/* ### colors ### */

body {

  color: var(--tone11);

  background-image: url(files/stars3.gif);

}

a {

  color: var(--pink);

}

a:hover {

  color: var(--blue);

}

/*h1, h2 {
  
  text-shadow: var(--pink) 1px 1px 2px;

}*/

hr {

  color: var(--tone11);
  border-image: linear-gradient(
    90deg, 
    var(--tone00) 1%, 
    var(--tone11) 50%, 
    var(--tone00) 99%
  ) 10 / 1px;

}

div#box {

  background-color: var(--tone00);
  box-shadow: 6px 6px 6px var(--tone00);
  border: 1px var(--pink) solid;

}

#garden-pix {

  width: 30%;

}

/* ### rules ### */
/*
@media (prefers-color-scheme: dark) {

  body {

    color: var(--tone11);
  
    background-color: var(--tone10);
    background-image: url(files/stars3.gif);

  }

  a {

    color: var(--pink);
  
  }
  
  a:hover {

    color: var(--blue);

  }
  
  h1, h2 {
    
    text-shadow: var(--pink) 1px 1px 2px;
  
  }

  hr {

    color: var(--tone11);
    border-image: linear-gradient(
      90deg, 
      var(--tone00) 1%, 
      var(--tone11) 50%, 
      var(--tone00) 99%
    ) 10 / 1px;

  }

  div#box {

    background-color: var(--tone00);
    box-shadow: 6px 6px 6px var(--tone00);
    border: 1px var(--pink) solid;

  }

}

/*@media (prefers-color-scheme: light) {

  body {

    color: var(--tone00);

    background-color: var(--tone01);
    background-image: url(files/stars3-inv.gif);

  }
  
  a {

    color: var(--pink);
  
  }
  
  a:hover {

    color: var(--blue);

  }
  
  h1, h2 {
    
    text-shadow: var(--pink) 1px 1px 2px;
  
  }

  hr {

    color: var(--tone00);
    border-image: linear-gradient(
      90deg, 
      var(--tone11) 1%, 
      var(--tone00) 50%, 
      var(--tone11) 99%
    ) 10 / 1px;

  }

  div#box {

    background-color: var(--tone11);
    box-shadow: 6px 6px 6px var(--tone11);
    border: 1px var(--pink) solid;

  }

}
*/
